<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.7 [en] (Win98; I) [Netscape]">
   <title>ExoticaX API Docs - DinputX Library Page</title>
</head>
<body text="#FFFFFF" bgcolor="#000000" link="#0000FF" vlink="#00CC66" alink="#FF0000">

<center><b><font face="Brush455 BT,Comic Sans MS"><font color="#FF0000"><font size=+3>DinputX.ew
API Documentation</font></font></font></b>
<br>
<hr WIDTH="50%" COLOR="#FF0000"></center>

<p><br>
<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font color="#3333FF"><font size=+1><a href="#DI_RT">Runtime
Routines</a></font></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt><font face="Comic Sans MS"><a href="#DINPUT_INIT">dinput_init()</a></font>
<dt><font face="Comic Sans MS"><a href="#DINPUT_RELEASE">dinput_release()</a></font>
<dt><font face="Comic Sans MS"><a href="#REAQUIRE_INPUT">reaquire_input()</a></font>
<dt><font face="Comic Sans MS"><a href="#DINPUT_UPDATE">dinput_update()</a></font></blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#DI_K">Keyboard
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt><font face="Comic Sans MS"><a href="#KEYBOARD_INIT">keyboard_init()</a></font>
<dt><font face="Comic Sans MS"><a href="#KEYBOARD_RELEASE">keyboard_release()</a></font>
<dt><font face="Comic Sans MS"><a href="#KEYBOARD_KEYSTATE">keyboard_keystate()</a></font>
<dt><font face="Comic Sans MS"><a href="#GET_KB_BUFFER_EVENTS">get_kb_buffer_events()</a></font>
<dt><font face="Comic Sans MS"><a href="#GET_KB_BUFFER_DATA">get_kb_buffer_data()</a></font></blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#DI_M">Mouse Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt><font face="Comic Sans MS"><a href="#MOUSE_INIT">mouse_init()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_RELEASE">mouse_release()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_X">mouse_x()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_Y">mouse_y()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_Z">mouse_z()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_B">mouse_b0()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_B">mouse_b1()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_B">mouse_b2()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_B">mouse_b3()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_B">mouse_b4()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_B">mouse_b5()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_B">mouse_b6()</a></font>
<dt><font face="Comic Sans MS"><a href="#MOUSE_B">mouse_b7()</a></font></blockquote>
</td>
</tr>
</table></center>

<center><table BORDER COLS=1 WIDTH="50%" >
<tr>
<td><b><font face="Comic Sans MS"><font size=+1><a href="#DI_J">Joystick
Routines</a></font></font></b></td>
</tr>

<tr>
<td>
<blockquote>
<dt><font face="Comic Sans MS"><a href="#JOYSTICK_INIT">joystick_init()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOYSTICK_RELEASE">joystick_release()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOYSTICK_DETECTED">joystick_detected()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOYSTICK_CONTROL_PANEL">joystick_control_panel()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOYSTICK_BUTTON">joy_button()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_X_AXIS">joy_x_axis()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_Y_AXIS">joy_y_axis()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_Z_AXIS">joy_z_axis()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_R_AXIS">joy_rx_axis()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_R_AXIS">joy_ry_axis()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_R_AXIS">joy_rz_axis()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_SLIDER">joy_slider()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_POV">joy_pov()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_RANGE">joy_x_range()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_DEADZONE">joy_x_deadzone()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_SATURATION">joy_x_saturation()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_RANGE">joy_y_range()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_DEADZONE">joy_y_deadzone()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_SATURATION">joy_y_saturation()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_RANGE">joy_z_range()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_DEADZONE">joy_z_deadzone()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_SATURATION">joy_z_saturation()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_RANGE">joy_rx_range()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_DEADZONE">joy_rx_deadzone()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_SATURATION">joy_rx_saturation()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_RANGE">joy_ry_range()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_DEADZONE">joy_ry_deadzone()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_SATURATION">joy_ry_saturation()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_RANGE">joy_rz_range()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_DEADZONE">joy_rz_deadzone()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_SATURATION">joy_rz_saturation()</a></font>
<dt><font face="Comic Sans MS"><a href="#JOY_SLIDER_RANGE">joy_slider_range()</a></font></blockquote>
</td>
</tr>
</table></center>

<br>&nbsp;
<center>
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<p><a NAME="DI_RT"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Runtime
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="DINPUT_INIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>dinput_init()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Initializes the DirectX's DirectInput component of Exotica.
This must be called to use any of Exotica's Input routines.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="DINPUT_RELEASE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>dinput_release()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Releases the DirectInput component of exotica. exotica_exit()
will automatically release all of Exotica's components. Use this routine
if you no longer need the Dinput components and you wish to free the memory
it uses.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="REAQUIRE_INPUT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>reaquire_input()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This is used by exotica to get back control when you ALT-TAB
back to the program.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="DINPUT_UPDATE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>dinput_update()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>You must poll this before chacking for any input. Without it,
the mouse,keyboard,joystick status wouldn't change.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center>
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<p><a NAME="DI_K"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Keyboard
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="KEYBOARD_INIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>keyboard_init(
<i>integer
Keyboard_Mode</i> )</font>
<blockquote><b><i>Keyboard_Mode</i></b>
<br>0 = direct data mode
<br>1 = buffered data mode</blockquote>
</td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Initializes the keyboard component of Exotica DX, either for
direct keyboard input, or buffered keyboard input.
<p>If using direct mode, you retrieve keypresses using keyboard_keystate().
<p>NOTE: keypresses will only occur when you call dinput_update().
<br>IE if you press a key just after the program calls dinput_update()
and release it before it is called again, it won't register.
<p>If using buffered mode, you retrieve keypresses by checking for events
with get_kb_buffer_events(), when one occurs, you check for specific keypresses
with get_kb_buffer_data().
<p>NOTE: events and data will only be updated when you call dinput_update().But
all keypresses since the last call to dinput_update() will be retrieved.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="KEYBOARD_RELEASE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>keyboard_release()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Releases the keyboard component of Exotica DX. exotica_exit()
will automatically do this.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="KEYBOARD_KEYSTATE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>keyboard_keystate(
atom Key_Value )</font>
<blockquote><b><i>Key</i></b> is a <b><a href="globals.html#DIK">DirectInput
Key Constant</a></b></blockquote>
</td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = key is not pressed</dt>

<dt>
1 = key is pressed</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Check if a specific key was pressed at the time that dinput_update()
was called.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_KB_BUFFER_EVENTS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_kb_buffer_events()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font>
<dl>
<dt>
The number of keyboard events since the last call to dinput_update()</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Use this routine to find out if any keyboard buffer events
have occured and how many.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="GET_KB_BUFFER_DATA"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>get_kb_buffer_data(
<i>atom
Event, atom Key</i> )</font>
<blockquote><b><i>Event</i></b> is the index into the buffer where you
want to check if <b><i>Key</i></b> was pressed
<br><b><i>Key</i></b> is a <b><a href="globals.html#DIK">DirectInput Key
Constant</a></b></blockquote>
</td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = key is not pressed&nbsp;</dt>

<dt>
1 = key is pressed</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>When you use buffered mode. DX will make a buffer containing
all keypresses since the last call to dinput_update(). Use this routine
to check if a specific Key was pressed in each of the buffer Events.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center>
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<p><a NAME="DI_M"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Mouse
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="MOUSE_INIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>mouse_init()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Initialize the mouse component of DirectInput.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="MOUSE_RELEASE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>mouse_release()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Releases the mouse component of DirectInput. exotica_exit()
will do this automatically.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="MOUSE_X"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>mouse_x()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font>
<dl>
<dt>
The horizontal direction of the mouse cursor</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the horizontal direction of the mouse cursor when dinput_update()
was last called.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="MOUSE_Y"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>mouse_y()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font>
<dl>
<dt>
The vertical direction of the mouse cursor</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the vertical direction of the mouse cursor when dinput_update()
was last called.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="MOUSE_Z"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>mouse_z()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font>
<dl>
<dt>
The direction of the mouse wheel</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>&nbsp;Returns the direction of the mouse wheel ( if one exists
) when dinput_update() was last called.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="MOUSE_B"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>mouse_b0()
, mouse_b1() , mouse_b2() , mouse_b3() , mouse_b4() , mouse_b5() , mouse_b6(),
mouse_b7()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = button is not pressed</dt>

<dt>
1 = button is pressed</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns 0 if mouse button was not pressed and 1 if it was when
dinput_update() was last called.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center>
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<p><a NAME="DI_J"></a><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+2>Joystick
Routines</font></font></font></u></center>

<p><br>
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="JOYSTICK_INIT"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>joystick_init()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = Success&nbsp;</dt>

<dt>
1 = Failure&nbsp;</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Initializes the joystick component of DirectInput.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="JOYSTICK_RELEASE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>joystick_release()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Releases the joystick component of DirectInput. exotica_exit()
will do this automatically.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="JOYSTICK_DETECTED"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>joystick_detected()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = False</dt>

<dt>
1 = True</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>&nbsp;Returns True if there was a joystick detected on calling
joystick_init().</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="JOYSTICK_CONTROL_PANEL"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>joystick_control_panel()</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>On calling this your program will minimize and open the windows
joytick configuration panel.
<br>In effect, this is the same as ALT-TABing out of your program, so you
will have to monitor aActive() when you use this, if you have any graphics
routines running.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="JOYSTICK_BUTTON"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>joystick_button(
<i>atom
Button_Number</i> )</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
0 = not pressed</dt>

<dt>
1 = pressed</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the state of the specified button. Button is in the
range 0-31, meaning you can have up to 32 buttons.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="JOY_X_AXIS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>joy_x_axis()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
-1 = Left</dt>

<dt>
&nbsp; 0 = Center</dt>

<dt>
&nbsp; 1 = Right</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the state of the x axis.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="JOY_Y_AXIS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>joy_y_axis()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
-1 = Up</dt>

<dt>
&nbsp; 0 = Center</dt>

<dt>
&nbsp; 1 = Down</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the state of the y axis.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="JOY_Z_AXIS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>joy_z_axis()</font></td>
</tr>

<tr>
<td>
<dl><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>integer</font>
<dl>
<dt>
-1 = Up</dt>

<dt>
&nbsp; 0 = Center</dt>

<dt>
&nbsp; 1 = Down</dt>
</dl>
</dl>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the state of the z axis.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="JOY_R_AXIS"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>joy_rx_axis()
, joy_ry_axis() , joy_rz_axis()</font></td>
</tr>

<tr>
<td><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the state of the rotational (or ranged) axis.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="JOY_SLIDER"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>joy_slider(
<i>atom
Slider</i> )</font></td>
</tr>

<tr>
<td><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the state of the specified Slider. Slider is in the
range 0-1, meaning you can have up to 2 sliders.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 WIDTH="75%" HEIGHT="67" >
<tr>
<td><a NAME="JOY_POV"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Function:
</font></font></b>joy_pov(
<i>atom
POV</i> )</font></td>
</tr>

<tr>
<td><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Returns:
</font></font></b>atom</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Returns the state of the specified POV hat. POV is in the range
0-3, meaning you can have up to 4 POV hats.&nbsp;</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 WIDTH="100%" >
<tr>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="JOY_RANGE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>joy_x_range(
<i>atom
Min, atom Max</i> ) , joy_y_range( <i>atom Min, atom Max</i>) , joy_z_range(
<i>atom
Min, atom Max </i>) , joy_rx_range( <i>atom Min, atom Max </i>) ,</font>
<br><font face="Comic Sans MS">joy_ry_range( <i>atom Min, atom Max </i>)
, joy_rz_range( <i>atom Min, atom Max </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Set the range for the joystick.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="JOY_DEADZONE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>joy_x_deadzone(
<i>atom
Zone</i> ) , joy_y_deadzone( <i>atom Zone</i> ) ,</font>
<br><font face="Comic Sans MS">joy_z_deadzone( <i>atom Zone </i>) , joy_rx_deadzone(
<i>atom
Zone </i>) , joy_ry_deadzone( <i>atom Zone </i>) ,</font>
<br><font face="Comic Sans MS">joy_rz_deadzone( <i>atom Zone </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Sets the deadzone for the center of the range of the joystick.
IE if the deadzone=1000 and the range= -10000,10000, then the deadzone
is 10% of the range. So when the user moves the joystick, it will move
500 in either direction before registering. The deadzone doesn't effect
the range.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="JOY_SATURATION"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>joy_x_saturation(
<i>atom
Sat </i>) , joy_y_saturation( <i>atom Sat </i>) ,</font>
<br><font face="Comic Sans MS">joy_z_saturation( <i>atom Sat </i>) , joy_rx_saturation(
<i>atom
Sat </i>) , joy_ry_saturation( <i>atom Sat </i>) ,</font>
<br><font face="Comic Sans MS">joy_rz_saturation( <i>atom Sat </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This works just like joy_x_deadzone(), but is applied to the
end of the range instead of the center.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLPADDING=0 COLS=1 WIDTH="75%" >
<tr>
<td><a NAME="JOY_SLIDER_RANGE"></a><font face="Comic Sans MS"><b><font color="#FF0000"><font size=+1>Procedure:
</font></font></b>joy_slider_range(
<i>atom
Slider, atom Min, atom Max </i>)</font></td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>Sets the minimum and maximum ranges for the specified slider.</blockquote>
</td>
</tr>

<tr>
<td><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>See
also:</font></font></font></b>
<center><table CELLSPACING=0 CELLPADDING=0 COLS=3 >
<tr ALIGN=CENTER>
<td></td>

<td></td>

<td></td>
</tr>
</table></center>
</td>
</tr>
</table></center>

<br>&nbsp;
<center>
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<p><b><i><u><font face="Comic Sans MS"><font size=+2><a href="#TOP">Back
To Top</a></font></font></u></i></b></center>

</body>
</html>
